The Open Group Base Specifications Issue 6
IEEE Std 1003.1, 2004 Edition
Copyright © 2001-2004 The IEEE and The Open Group, All Rights reserved.

#### NAME

> true - return true value

#### SYNOPSIS

> ``true``

#### DESCRIPTION

> The true utility shall return with exit code zero.

#### OPTIONS

> None.

#### OPERANDS

> None.

#### STDIN

> Not used.

#### INPUT FILES

> None.

#### ENVIRONMENT VARIABLES

> None.

#### ASYNCHRONOUS EVENTS

> Default.

#### STDOUT

> Not used.

#### STDERR

> Not used.

#### OUTPUT FILES

> None.

#### EXTENDED DESCRIPTION

> None.

#### EXIT STATUS

> Zero.

#### CONSEQUENCES OF ERRORS

> None.

The following sections are informative.

#### APPLICATION USAGE

> This utility is typically used in shell scripts, as shown in the EXAMPLES section. The special built-in utility : is sometimes more efficient than true.

#### EXAMPLES

> This command is executed forever:

>     while true
>     do
>         command
>     done

#### RATIONALE

> The true utility has been retained in this volume of IEEE Std 1003.1-2001, even though the shell special built-in : provides similar functionality, because true is widely used in historical scripts and is less cryptic to novice script readers.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> false, Shell Commands

#### CHANGE HISTORY

> First released in Issue 2.

#### Issue 6

> IEEE Std 1003.1-2001/Cor 1-2002, item XCU/TC1/D6/39 is applied, replacing the terms ``None'' and ``Default'' from the STDERR and EXIT STATUS sections, respectively, with terms as defined in Utility Description Defaults.

End of informative text.

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
[ Main Index | XBD | XCU | XSH | XRAT ]